
Figure - 需求 Requirement #115788
【变更需求】-蓝牙扫描机制优化
2023-02-02 15:35 - 方案组-RD3_CDTS 王浩云

Status: 分析&分解中 In Analysis Start date: 2023-02-02

Priority: Normal Due date: 2023-02-15

Assignee: CDTS_TEST 王成 % Done: 60%

Category: LC Estimated time: 0.00 hour

Target version: VC1_FSE_0073_20230215

Description

1. 进入蓝牙搜索界面后，历史记录清空，开始搜索

2. 主动搜索持续3轮是为一次完整的主动搜索

3. 单轮搜索时长为20s，三轮共计60s

4. 完成一次完整的主动搜索后，停止30s，然后继续搜索

History

#1 - 2023-02-08 23:45 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

180363 general/platform/packages/apps/Settin

gs

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

taohp0107@thundersoft.com

LC:BT: Periodically start - stop - start scanningPeriodically start - stop - start scanning.-Three consecutive 20s scans-Stop scanning for 30s and repeat the above

periodic scanningTC-RID: 1200-0400102IssueID: TS-R-DF-115788Change-Id: I996a7b1a514fae5b25247c9558700e1de452c36a

#2 - 2023-02-09 12:35 - CD LC 陶洪普

/**     * Indicates that both inquiry scan and page scan are disabled on the local     * Bluetooth adapter. Therefore this device is neither discoverable     * nor connectable from

remote Bluetooth devices.

/

    public static final int SCAN_MODE_NONE = 20;

    /*     * Indicates that inquiry scan is disabled, but page scan is enabled on the     * local Bluetooth adapter. Therefore this device is not discoverable from     * remote

Bluetooth devices, but is connectable from remote devices that     * have previously discovered this device.

/

    public static final int SCAN_MODE_CONNECTABLE = 21;

    /*     * Indicates that both inquiry scan and page scan are enabled on the local     * Bluetooth adapter. Therefore this device is both discoverable and     * connectable from

remote Bluetooth devices.

     */

    public static final int SCAN_MODE_CONNECTABLE_DISCOVERABLE = 23;

上面是BT扫描状态的说明：

ts@thundersoft:~/Videos/tmp$ adb logcat -b all | grep "Scan Mode" 

// discoverable 扫描时，

02-09 00:23:41.700  1986  2187 D AdapterProperties: Scan Mode:23
// 停止 discoverable 扫描时

02-09 00:24:41.711  1986  2187 D AdapterProperties: Scan Mode:21

02-09 00:25:11.762  1986  2187 D AdapterProperties: Scan Mode:23

02-09 00:26:11.774  1986  2187 D AdapterProperties: Scan Mode:21

02-09 00:26:41.838  1986  2187 D AdapterProperties: Scan Mode:23

// 关闭BT

02-09 00:27:04.167  1986  2187 D AdapterProperties: Scan Mode:20

#3 - 2023-02-09 12:36 - CD LC 陶洪普

- Status changed from New to 分析&分解中 In Analysis

- % Done changed from 0 to 60

#4 - 2023-02-09 12:38 - CD LC 陶洪普

- Assignee changed from CD LC 陶洪普 to CDTS_TEST 王成

Hi 王成，

请参照上一条Comment. 看下面日志：

adb shell

logcat -b all | grep "Scan Mode"

(Status在分析中，最后一步是关闭，请你们确认后再修改)

谢谢！
